Package com.independentsoft.office.odf.fields

# Class PageVariableGetField

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.PageVariableGetField

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class PageVariableGetField extends Field
Displays the value of a page variable.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageVariableGetField()`
  Initializes a new instance of the PageVariableGetField class.
  `PageVariableGetField​(InternalXMLStreamReader reader)`
  Instantiates a new page variable get field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageVariableGetField`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getNumberFormat()`
  Specifies the numbering sequence.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getValue()`
  Gets the page variable.
  `boolean`
  `isEnableLetterSynchronization()`
  Specifies whether letter synchronization shall take place.
  `void`
  `setEnableLetterSynchronization​(boolean enableLetterSynchronization)`
  Specifies whether letter synchronization shall take place.
  `void`
  `setNumberFormat​(String numberFormat)`
  Specifies the numbering sequence.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setValue​(String value)`
  Sets the page variable.
  `String`
  `toString()`
  Converts the value of the current PageVariableGetField object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageVariableGetField

    public PageVariableGetField()
    Initializes a new instance of the PageVariableGetField class.

  - ### PageVariableGetField

    public PageVariableGetField​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new page variable get field.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public PageVariableGetField clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current PageVariableGetField object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getNumberFormat

    public String getNumberFormat()
    Specifies the numbering sequence. The defined values are: - 1: Hindu-Arabic number sequence starts with 1. - a: number sequence of lowercase Modern Latin basic alphabet characters starts with "a". - A: number sequence of uppercase Modern Latin basic alphabet characters starts with "A". - i: number sequence of lowercase Roman numerals starts with "i". - I: number sequence of uppercase Roman numerals start with "I".
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(String numberFormat)
    Specifies the numbering sequence. The defined values are: - 1: Hindu-Arabic number sequence starts with 1. - a: number sequence of lowercase Modern Latin basic alphabet characters starts with "a". - A: number sequence of uppercase Modern Latin basic alphabet characters starts with "A". - i: number sequence of lowercase Roman numerals starts with "i". - I: number sequence of uppercase Roman numerals start with "I".
    Parameters:
      `numberFormat` - the new number format

  - ### isEnableLetterSynchronization

    public boolean isEnableLetterSynchronization()
    Specifies whether letter synchronization shall take place. If letters are used in alphabetical order for numbering, there are two ways to process overflows within a digit, as follows: -false: A new digit is inserted that always has the same value as the following digit. The numbering sequence (for lower case numberings) in that case is a, b, c, ..., z, aa, bb, cc, ..., zz, aaa, ..., and so on. -true: A new digit is inserted. Its start value is Ã¢â‚¬ï¿½aÃ¢â‚¬ï¿½ or Ã¢â‚¬ï¿½AÃ¢â‚¬ï¿½, and it is incremented every time an overflow occurs in the following digit. The numbering sequence (for lower case numberings) in that case is a,b,c, ..., z, aa, ab, ac, ...,az, ba, ..., and so on.
    Returns:
      true, if is enable letter synchronization

  - ### setEnableLetterSynchronization

    public void setEnableLetterSynchronization​(boolean enableLetterSynchronization)
    Specifies whether letter synchronization shall take place. If letters are used in alphabetical order for numbering, there are two ways to process overflows within a digit, as follows: -false: A new digit is inserted that always has the same value as the following digit. The numbering sequence (for lower case numberings) in that case is a, b, c, ..., z, aa, bb, cc, ..., zz, aaa, ..., and so on. -true: A new digit is inserted. Its start value is Ã¢â‚¬ï¿½aÃ¢â‚¬ï¿½ or Ã¢â‚¬ï¿½AÃ¢â‚¬ï¿½, and it is incremented every time an overflow occurs in the following digit. The numbering sequence (for lower case numberings) in that case is a,b,c, ..., z, aa, ab, ac, ...,az, ba, ..., and so on. *
    Parameters:
      `enableLetterSynchronization` - the new enable letter synchronization

  - ### getValue

    public String getValue()
    Gets the page variable.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the page variable.
    Parameters:
      `value` - the new value